"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePlayer = usePlayer;
exports.PlayerProvider = exports.PlayerContext = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var React = _interopRequireWildcard(require("react"));

var _player = require("../reducers/player");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var defaultPlayerContext = {
  player: {},
  setPlayer: function setPlayer() {}
};
var PlayerContext = /*#__PURE__*/React.createContext(defaultPlayerContext);
exports.PlayerContext = PlayerContext;

function usePlayer() {
  return React.useContext(PlayerContext);
}

var PlayerProvider = function PlayerProvider(_ref) {
  var children = _ref.children;

  var _React$useState = React.useState(_player.initialState),
      _React$useState2 = (0, _slicedToArray2["default"])(_React$useState, 2),
      player = _React$useState2[0],
      setPlayer = _React$useState2[1];

  var values = {
    player: player,
    setPlayer: setPlayer
  };
  return /*#__PURE__*/React.createElement(PlayerContext.Provider, {
    value: _objectSpread({}, values)
  }, children);
};

exports.PlayerProvider = PlayerProvider;